# Uses of Class
net.shibboleth.shared.resolver.ResolverException

Packages that use ResolverException
Package
Description
net.shibboleth.shared.resolver
Interfaces for searching over data.
net.shibboleth.shared.testing
Classes supporting testing of other classes.

## Uses of ResolverException in net.shibboleth.shared.resolver

Methods in net.shibboleth.shared.resolver that throw ResolverException
Modifier and Type
Method
Description
`Predicate<T>`
CriterionPredicateRegistry.`getPredicate(Criterion criterion)`
Get an instance of `Predicate` which can evaluate the supplied criterion's requirements against a target of the specified type.
`static <T, E extends Predicate<T>>
Set<Predicate<T>>`
ResolverSupport.`getPredicates(CriteriaSet criteriaSet, Class<E> predicateCriterionType, CriterionPredicateRegistry<T> registry)`
Obtain a set of `Predicate` based on a `CriteriaSet`.
`Iterable<ProductType>`
Resolver.`resolve(CriteriaType criteria)`
Process the specified criteria and return the resulting instances of the product type which satisfy the criteria.
`ProductType`
Resolver.`resolveSingle(CriteriaType criteria)`
Process the specified criteria and return a single instance of the product type which satisfies the criteria.

## Uses of ResolverException in net.shibboleth.shared.testing

Fields in net.shibboleth.shared.testing declared as ResolverException
Modifier and Type
Field
Description
`(package private) final ResolverException`
MockExceptionCriterion.`exception`
Methods in net.shibboleth.shared.testing that return ResolverException
Modifier and Type
Method
Description
`ResolverException`
MockExceptionCriterion.`getException()`
Gets the exception to raise.
Methods in net.shibboleth.shared.testing that throw ResolverException
Modifier and Type
Method
Description
`Iterable<T>`
MockResolver.`resolve(CriteriaSet criteria)`
Process the specified criteria and return the resulting instances of the product type which satisfy the criteria.
`T`
MockResolver.`resolveSingle(CriteriaSet criteria)`
Process the specified criteria and return a single instance of the product type which satisfies the criteria.
Constructors in net.shibboleth.shared.testing with parameters of type ResolverException
Modifier
Constructor
Description
``
`MockExceptionCriterion(ResolverException e)`
Constructor.